# Anleitung zum Auswerteprogramm WQA #
**************************************

*(Auswertung von Elektron-Stoß-Spektren (Labor 017))*

             17.Jun.1999 K. Huber, Strahlenzentrum Univ. Gießen
             Version 22.Mai.2020

1 Anleitungs-Formate
********************

Diese Anleitung zum WQA-Auswerteprogramm steht in verschiedenen Formaten
zur Verfügung.  Die entsprechenden Files finden Sie auf dem Ionix unter
/usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     wqa.txt     Text-Format, kann z.B. mit ‘a2ps’ in handlichem Format
                 gedruckt werden.
     wqa.dvi     DVI-Format, kann z.B. mit ‘dvips’ auf einem
                 Postscript-Drucker gedruckt werden oder mit ‘xdvi’ auf
                 einem X-Windows Bildschirm dargestellt werden.
     wqa.html    HTML-Format, kann mit jedem HTML-Browser (z.B.
                 ‘netscape’) gelesen werden.
     wqa.info    INFO-Format, kann mit dem ‘GNU-Info-Browser’ (‘info -f
                 wqa.info’) und ‘GNU-emacs’ gelesen werden.  So wird der
                 Info-Browser bedient (Start mit Tastenfolge TAB, ENTER):
                 info.  (Zurück mit L, L, ...).
     wqa.pdf     PDF-Format, mit dem ‘Acrobat-Reader’ zu lesen.

2 Funktion von WQA
******************

2.1 Überblick
=============

Für das Elektron-Stoß-Experiment existieren folgende
Datenerfassungsprogramme:
[(...)  = noch nicht auf VME-System portiert]
        ESW   Elektronen-Stoß WQ Absolutmessungen
        ESS   Elektronen-Stoß WQ Scan-Messungen
        MASS  Elektronen-Stoß WQ Massen-Messungen
        DRM   Dielektronische Rekombinations-Matrix
        ECF   Hilfsprogramm zur Erstellung von ESS Steuer-Files

Sowie die Auswerteprogramme:
        WQA   Auswertung von ESW-Spektren
        ESA   Konversion von ESI-, ESW-, ESS-Spektren nach ASCII

   Mit dem WQA-Programm werden absolute Wirkungsquerschnitte von
ESW-Spektren ausgewertet.  Es ist sowohl eine Auswertung von
Einzelspektren als auch von Spektrenlisten möglich.  WQA ist der
Nachfolger des Programmes ABS, das auf der VAX zur Verfügung stand.

   Auf allen Plattformen können jetzt sowohl die alten, mit
PDP11-Systemen gemessenen, als auch die neuen, mit VME-Systemen
gemessenen Spektren, trotz unterschiedlicher
Floatingpoint-Darstellungen, ausgewertet werden.

   Das WQA-Programm kann von dem ESW-Messprogramm gestartet werden unter
dem Menü-Punkt "Analyse Spectrum".  Es wird dann die gerade laufende
ESW-Messung online ausgewertet.  Der Start von WQA erfolgt in diesem
Fall üblicherweise unter Umgehung des Hauptmenüs.  Die Rückkehr ins
Hauptmenü von WQA kann jedoch durch ^Z erzwungen werden.  Dort kann
unter dem Menüpunkt "Set Configuration" ein anderes Verhalten beim Start
durch ESW eingestellt werden (see Startup mode.).

WQA ist zur Zeit lauffähig auf folgenden Plattformen:
   • VME Experiment-Rechner-System mit VxWorks Betriebssystem
   • DS5000 Workstations mit Ultrix Betriebssystem (Tutnix, Kannix,
     Hatnix)
   • AlphaServer mit True-64-Unix Betriebssystem (Servix)
   • PC mit Linux Betriebssystem (Atomix)

   Als Bildschirm wird ein *VT240/330/340* Terminal, ein Unix-Host mit
*xterm* oder *dxterm* oder ein PC mit *TeraTerm* benötigt.

2.2 Wirkungsquerschnitts-Rechnung
=================================

Übernommen vom Fortran Programm ABS auf der VAX
(G. Hofmann, K. Tinschert usw.)
Vollständig überarbeitet; erweitert um Totzeitkorrektur.
(K. Huber)

Die Integrationsgrenzen wurden vom Original (ABS) übernommen:
             M1    -> M2 -1    linker Untergrund
             M2    -> M3 -1    Reaktionsbereich
             M3    -> M4 -1    rechter Untergrund
Das macht die Sache leider etwas asymmetrisch, was bei der großen Anzahl
von beteiligten Kanälen hier jedoch keine große Rolle spielt.  Lässt
sich auch jetzt kaum noch ändern, um bei gleichen Grenzen nicht neue
Ergebnisse zu erhalten.

   _Achtung:_
Im Original wurden Ionen- und Elektronenstrom verschieden berechnet.
  1. Ionenstrom: (Summe aller Ionen) / (Summe aller Zeiten)
  2. Elektronenstrom: [Summe alle Kanäle (Elektronen / Zeit)] / Anz.
     Kanäle
   Die Mittelung 2) ist nicht korrekt, weshalb beide jetzt wie 1)
durchgeführt werden.  Diese Änderung hat auch auf den Formfaktor
Auswirkung.  Für den Formfaktor muss auch die Mittelung nach 1)
verwendet werden.
(Auskunft: Klaus Aichele)

   *Berechnungsverfahren für den Wirkungsquerschnitt Wq*
(s.h auch Dipl.  und Doktorarbeiten z.B. G. Hofmann)
      1. Totzeitkorrektur für erstes Spektrum z[i]
         mit Totzeit t und Messzeit T[i] (4. Spektrum)
         (see Totzeitkorrektur-Rechnungen.)
           z0[i] = z[i]/(1 - t * z[i] / T[i])

      2. normieren von z0[i]) auf Ionenstrom Ii und
         Elektronenstrom Ie und errechnen der Raten mit 1/T[i]
           r[i] = z0[i] / (Ii[i] * Ie[i]) / T[i]
                = z0[i] * T[i] / (Qi[i] * Qe[i])

      3. mit den Ladungen Q=I*T aus dem 2. bzw 3. Spektrum
         summieren der Raten innerhalb der Signal- bzw. Untergrundgrenzen
           u = SUMi(r[i])
           s = SUMj(r[j])
         und Untergrundabzug
           S = s - f * u
         mit f als Verhältnis der Intervallbreiten

      4. Wirkungsquerschnitt
           Wq = (S * W * K) / (M * E)
           S: normierte Signalrate (s.o.)
           W: Fahrstrecke der e-Kanone pro Kanal
           K: Konversionsfaktoren der Stromkonverter
           M: kinematischer Faktor
           E: Ansprechwahrscheinlichkeit des Ionendetektors

   *Statistischer Fehler*
Im Original wurde zuerst der relative Fehler berechnet und dabei der
Elektronenstrom als Näherung konstant vorausgesetzt.
Die Rechnung mit dem relative Fehler führt zur Division durch Null,
falls der Wirkungsquerschnitt null ist.
Die Rechnung mit dem konstanten Elektronenstrom bringt lediglich eine
geringe Reduzierung des Rechenaufwandes.

   _Alte Rechnung_
In den statistischen Fehler geht nur dzo[i] ein, alle anderen Größen
sind nur mit systematischen Fehlern behaftet.
         dzo[i] = sqrt(zo[i])       (s.u. Totzeit!)
         dr[i]  = dz0[i] * T[i] / (Qi[i] * Qe[i])
         dr[i]  = 1/Ie * dz0[i]/Qi[i]  mit Ie=Qe[i]/T[i] const
         du**2  = SUMi(dr[i]**2) = 1/Ie**2 * SUMi(zo[i] / Qi[i]**2)
         ds**2  = SUMj(dr[j]**2) = 1/Ie**2 * SUMi(zo[j] / Qi[j]**2)
         dS/S   = sqrt(ds**2 + f**2 *du**2) / (s - f * u)
         dWq/Wq = dS/S

   _Neue Rechnung_
für absoluten Fehler mit Elektronenstrom nicht konstant:
         Wq  = a * S
         S   = s - f * u
         s   = SUMi(b[i] * zo[i])
         u   = SUMj(b[j] * zo[j])
         Wq  = a * (SUMi(b[i] * zo[i]) - f * SUMj(b[j] * zo[j]))
         dWq = a * SQRT(SUMi((b[i] * dzo[i])**2)
                 + f**2 * SUMj((b[j] * dzo[j])**2))
             = a * SQRT(SUMi(b[i]**2 * zo[i])
                 + f**2 * SUMj(b[j]**2 * zo[j]))

   Das Gleiche für die Variante mit Untergrundspektrum:
         (..1 = Signalspektrum; ..2 = Untergrundspektrum)
         Wq  = a * S
         S   = s1 - u1/u2 * s2
         s1  = SUMi(b1[i] * zo1[i])	u1 = SUMj(b1[j] * zo1[j])
         s2  = SUMi(b2[i] * zo2[i])	u2 = SUMj(b2[j] * zo2[j])
         dS  = SQRT(ds1**2 +(u1/u2*ds2)**2
                 +(s2/u2*du1)**2 +(u1/u2*s2*du2)**2)
         ds  = SUMi(b[i]**2 * zo[i])	du = SUMj(b[j]**2 * zo[j])
         dWq = a * dS

   *Instrumentelle Fehler des Experimentes*
(s.h Dipl.  und Doktorarbeiten z.B. G. Hofmann und K. Tinschert)
                                                neu     alt
         Kinematic factor                        1%      1%
         Electron current                        5%      3%
         Ion current                             5%      3%
         Channel width                           1%      1%
         Detector efficiency                     3%      3%
       quadratisch addiert da unabhängig        7.8%    5.4%

2.3 Elektronenstrom-Korrektur
=============================

WQA benötigt zur Berechnung des absoluten Wirkungsquerschnitts den Wert
des Elektronenstroms in der Wechselwirkungszone.  Da der Elektronenstrom
an der Kathode der Kanone gemessen wird, muss er in geeigneter Weise
korrigiert werden.

2.3.1 Neue Multi-Mode-Kanone
----------------------------

Für die Multi-Mode-Kanone werden die Stromverluste auf den Elektroden
mitgemessen, so dass damit im Prinzip eine Korrektur möglich ist.  In
der Praxis hat sich allerdings gezeigt, dass insbesondere für die
WWZ1-Elektrode sich durch Sekundärelektronen die Polarität des Stromes
sogar beständig umkehrt.

   Zur Zeit werden zur Korrektur die Ströme der Elektroden P1 und P2
addiert und WWZ1 subtrahiert.  Wie fehlerhaft dieses Verfahren ist, muss
noch geklärt werden.

2.3.2 Alte Kanonentypen
-----------------------

Für die älteren Kanonentypen greift WQA zur
Elektronenstrom-Korrektur-Rechnung auf den File:
_$HOME/ex_home/ex_param/wqa.guns_ zurück, in dem verschiedene
Parametersätze für die unterschiedlichen Korrekturen abgelegt werden
können.  Die Korrekturrechnung ist eine Funktion der Elektronenenergie,
des Kanonentyps und des ganzen experimentellen Aufbaus und muss im
Prinzip nach jedem Umbau neu bestimmt werden.

   *Parametersatz*
   • Ein Parametersatz startet mit "$$$$data" und endet mit ";" in der
     ersten Spalte.
   • Die Parameterwerte müssen in der ersten Spalte beginnen.  Hinter
     dem Parameterwert kann ein Kommentar folgen.
   • Für Parameter, die nicht verwendet werden sollen, ist "DONTCARE"
     als Wert anzugeben.
   • Zwischen die Parameter können Kommentarzeilen eingeschoben werden,
     die mit einem "#" in der ersten Spalte beginnen müssen.
   • Die Reihenfolge der Parameter ist fest vorgegeben:
       1. Parametersatz-Startkennung ($$$$data).
       2. Kanonentyp-Nummer.
       3. Header-Kennung des Spektrums (STRZ-VAX, STRZ-VXW).
       4. Startdatum für die Gültigkeit des Parametersatzes, verglichen
          mit dem Erstellungsdatum der Messdaten.
       5. Enddatum für die Gültigkeit des Parametersatzes, verglichen
          mit dem Erstellungsdatum der Messdaten.
       6. Kommentarzeile für den Ergebnisausdruck.
       7. Kanonenparameter 0 (z.B. Interaktionspotential bei
          Hochenergie-Kanone).
       8. Kanonenparameter 1 (z.B. Ringelektrodenpotential bei
          Hochenergie-Kanone).
       9. variable Anzahl Zeilen für die Korrekturformeln.
       10. Parametersatz-Endekennung (;).
   Über die Parameter 2,3,4,5,7,8 wird festgestellt, ob der vorliegende
Parametersatz für die auszuwertende Messung gültig ist durch Vergleich
mit den in dem Header der Messdaten eingetragenen Parametern.  Die
Auswertung erfolgt mit dem ersten gültigen Parametersatz im File
_wqa.guns_.

   *Beispiel*
     # Data of 14-Jan-2002
     $$$$data        Start of data
     0               Type of gun
     STRZ-VXW        Header ID of spectrum
     2002-01-14      Date of data
     9999-12-01      Data valid until (edit!!!!!!!!!!!)
     [Gun 0: high current (14-Jan-2002)]
     DONTCARE        e-Gun parameter 0 (don't care)
     DONTCARE        e-Gun parameter 1 (don't care)
     # Electron current correction calculation
     P0 = 1.4766;
     P1 = 0.48943;
     P2 = 0.4523;
     C = 1. / [1. -(P0 * exp(-P1 *E **P2))]; correction factor
     S = 0.05;                               systematical error
     ;               End of data

   *Formel-Interpreter*
Zur Auswertung der Korrekturformeln steht ein Formel-Interpreter zur
Verfügung, der die nötigen Operationen versteht:
     Der Formel-Interpreter kennt folgende
     _Variablen (Groß-/Kleinschreibung beachten!):_
      P0 - P9       zur freien Verfügung
      E             Elektronen-Energie (Input)
      C             Elektronen-Strom-Korrekturfaktor für WQ (output)
      S             Systematischer Fehler des Elektronen-Stroms (output)
     _Operatoren (Groß-/Kleinschreibung beachten!):_
      =             Wertzuweisung
      ([{)]}        Klammern
      ,             Trennung von Operanden, z.B. pow(a,b)
      ;             Abschluss einer Formel, falls Kommentar folgt
      exp(a)        e hoch a
      pow(a,b)      a hoch b
      a^b           a hoch b
      a**b          a hoch b
      +a
      a + b
      -a
      a - b
      a * b
      a / b
     die natürlichen Prioritäten der Arithmetik-Operatoren werden beachtet.

2.4 Totzeitkorrektur-Rechnungen
===============================

       *Totzeit Korrektur:*
           Zo: primäre Events;      Z: gemessene Events
           T : Messzeit pro Kanal;  t: Totzeit, nicht paralysierend
           Zo = Z/(1 - t*Z/T);      Z = Zo/(1 + t*Zo/T)
         Wegen der Normierung auf den Ionenstrom I, und der
         individuellen Totzeitkorrekturen, muss Zo für jeden
         Kanal einzeln berechnet, und dann summiert werden:
           So = SUMi(Zi/(1 - t*Zi/Ti)/Ii)
         Die mittlere Totzeitkorrektur wird durch Mittelung
         über alle (Untergrund und Peak) Events errechnet.
         Da die Korrektur für alle Events eines Kanals gleich
         ist, muss nur über die Kanäle summiert werden:
         mittlerer Korrektur Faktor (>1):
           Fav = SUMi(Zoi/Zi *Zoi) / SUMi(Zoi)
         relative mittlere Totzeitkorrektur (>0):
           Kav = (Fav -1)/Fav

       *Statistischer Fehler der Zählraten bei Totzeit Korrektur (auweia!):*
           dZ = 1/(1 + t*Zo/T)**2 *dZo
         dZ wird durch die Totzeit kleiner als dZo!
           dZ/Z = 1/(1 + t*Zo/T) *dZo/Zo
         dZ/Z wird durch die Totzeit kleiner als dZo/Zo!!!
         für 1 << t*Zo/T:    dZ/Z -> T/(t*Zo) *dZo/Zo
         für sehr große t*Zo/T wird Z periodisch: dZ/Z = 0.
         Z ist nur für kleine t*Zo/T statistisch verteilt!
         Der Fehler des errechneten Zo ist dZo = sqrt(Zo) !(?)
         und nicht dZo = Zo/Z *sqrt(Z)! weil Z durch das
         ursprüngliche Zo entsteht und genau umgekehrt
         wieder zurückgerechnet wird.
         Wegen der Normierung auf den Ionenstrom Ii, wird dZo für jeden
         Kanal einzeln berechnet und quadratisch summiert:
           dSo = SUMi((sqrt(Zo[i])/I[i])**2)

       *Systematischer Fehler durch ungenaue Totzeit:*
           Wq = a * S
           S = s - f * u
           s = SUMi(b[i] * zo[i])      u = SUMj(b[j] * zo[j])
           Wq = a * (SUMi(b[i] * zo[i]) - f * SUMj(b[j] * zo[j]))
           dWq = a * (SUMi(b[i] * dzo[i]) - f * SUMj(b[j] * dzo[j]))
           dzo[i] = zo[i]**2 / T[i] * dt
           dWq = a * (SUMi(b[i] * zo[i]**2 / T[i])
                   - f * SUMj(b[j] * zo[j]**2 / T[j])) * dt
         Da dt keine statistische Größe ist, und stets in die gleiche
         Richtung geht, werden die dWq linear summiert.
         Aus dem gleichen Grund werden die Totzeitkorrekturfehler
         von Peak und Untergrund subtrahiert und nicht wie bei
         statistischen Fehlern quadratisch addiert!
           dWqTot = dWqPeak - dWqUg
         Wenn jedoch der Untergrund über eine Untergrundmessung
         bestimmt wird, so werden die Fehler quadratisch addiert!
           dWqTot**2 = dWqPeak**2 + dWqUg**2

2.5 Messdatenformat
===================

*Struktur der ESW-Daten-Files*
Die von WQA zu verarbeitenden Spektren müssen dem
Strahlenzentrumsstandard entsprechen d.h.:
   • Sie beginnen mit einem Header von 512 Bytes Länge, der am Anfang
     einen standardisierten Teil enthält und anschließend noch eine
     Reihe weiterer, Messprogramm spezifischer Daten (z.B. Lifetime-,
     Realtime-Zähler usw.).
   • Die Kanäle der Spektren sind als INTEGER*4 (BYTES = 4) deklariert,
     d.h.  jeder Kanal kann ca.  4*10^9 Ereignisse aufnehmen.

Anschließend an den Header folgen die Spektren der variablen Länge L in
der Reihenfolge:
  0. Header (512 Bytes)
  1. Ionisationssignal (L*4 Bytes)
  2. Primärionenstrom (L*4 Bytes)
  3. Elektronenstrom (L*4 Bytes)
  4. Messzeit pro Kanal (L*4 Bytes)
  5. Ionisationssignal / Primärionenstrom * Skalierungsfaktor
     (2^15=32768)
  6. Elektronenstromkorrektur (L*4 Bytes); Nur Multi-Mode-Kanone

   *Struktur der Header Daten:*
     Plattformunabhängige Definitionen:
     UINT2: 2 Bytes "unsigned int"
     UINT4: 4 Bytes "unsigned int"

     typedef union {
         struct {
             struct { /* Die char-Felder sind nicht mit '\0' abgeschlossen! */
                 char idhdr[8];   /* Identification of header: "<s.u.>" */
                 char hdlen[1];   /* Length of header: "1" */
                 char expmnt[6];  /* Experiment */
                 char idprg[8];   /* ID of generating Program: <s.u.> */
                 char stdat[9];   /* Date of start */
                 char sttim[8];   /* Time of start */
                 char spdat[9];   /* Date of stop */
                 char sptim[8];   /* Time of stop */
                 char spenam[8];  /* Name of spectrum */
                 char sptype[4];  /* Type of spectrum: "MCA2" */
                 char rows[6];    /* Number of rows: "<s.u.>" */
                 char cols[6];    /* Channels/row: " <var>" */
                 char bytes[1];   /* Bytes/channel: "4" */
                 char hdfree[4];  /* First free byte in header (0,...) */
                 char resrv[38];  /* Reserved */
                 char ltxt[4];    /* Length of text: "80" */
                 char text[80];    /* Text */
             } stddat;   /* Standard data of header */

             typedef union {
                 struct ESW_VAX_type {
                 /* idhdr="STRZ-VAX", idprg="ESW     "; rows="     5" */
                     UINT2 status;       /* Status of spectrum */
                     UINT4 spelen;       /* Length of spectrum */
                     UINT2 blocks;       /* Length in blocks */
                     UINT2 blockm;       /* Blocks to be allocated in memory */
                     UINT2 blockd;       /* Blocks to be allocated on disk */
                     UINT4 rltcnt;       /* Realtime */
                     UINT4 lftcnt;       /* Lifetime */
                     UINT4 datcnt;       /* Processed positions */
                     UINT4 outcnt;       /* Positions out of range */
                     UINT4 ct1cnt;       /* Counter 1 */
                     UINT4 ct2cnt;       /* Counter 2 */
                     UINT4 ct3cnt;       /* Counter 3 */
                     UINT4 ct4cnt;       /* Counter 4 */
                     UINT4 seqcnt;       /* Sequence errors */
                     UINT4 fulcnt;       /* Fifo full counter */
                     UINT4 rejcnt;       /* Rejected data */
                     UINT4 errcnt;       /* Error counter */
                     UINT4 hdatid;       /* Data identification */
                     UINT2 staplo;       /* Status of plot */
                     UINT2 slen;         /* Length of single spectrum  */
                     union {
                         REAL4 energy4[2]; /* Electron energy */
                         REAL4 expar[13];  /* Extended ESW parameters */
                     } exparx;
                     char ecfprg[12];    /* Version of ECF program, ESS only */
                     UINT2 guntyp;       /* Gun type */
                     REAL4 ulinse;       /* Gun parameter */
                     char notusd[30];    /* Not used */
                     REAL4 s5scal;       /* Scaling factor spectrum 5 */
                 } spcdat_ESW_VAX;   /* Special data of ESW-VAX type header */
                 struct ESW_VXW_type {
                 /* idhdr="STRZ-VXW", idprg="ESW "|"ESW     ", rows="     5" */
                     UINT2 status;       /* Status of spectrum */
                     UINT4 rltcnt;       /* Realtime */
                     UINT4 lftcnt;       /* Lifetime */
                     UINT4 datcnt;       /* Processed positions */
                     UINT4 outcnt;       /* Positions out of range */
                     UINT4 ct1cnt;       /* Counter 1 */
                     UINT4 ct2cnt;       /* Counter 2 */
                     UINT4 ct3cnt;       /* Counter 3 */
                     UINT4 ct4cnt;       /* Counter 4 */
                     UINT4 seqcnt;       /* Sequence errors */
                     UINT4 fulcnt;       /* Fifo full counter */
                     UINT4 rejcnt;       /* Rejected data */
                     UINT4 errcnt;       /* Error counter */
                     UINT4 hdatid;       /* Data identification */
                     UINT2 slen;         /* Length of single spectrum  */
                     union {
                         REAL4 energy4[2];  /* Electron energy */
                         REAL4 expar[13];   /* Extended ESW parameters */
                     } exparx;
                     char ecfprg[12];    /* Version of ECF program, ESS only */
                     UINT2 guntyp;       /* Gun type */
                     REAL4 gunpar[10];   /* Gun parameters */
                     REAL4 deadtm;       /* Deadtime of event counter [µs] */
                     REAL4 dtmerr;       /* Error deadtime of event counter [µs] */
                     REAL4 errkf;        /* Error Kinematic factor */
                     REAL4 errec;        /* Error Electron current */
                     REAL4 erric;        /* Error Ion current */
                     REAL4 errcw;        /* Error Channel width */
                     REAL4 errde;        /* Error Detector efficiency */
                     REAL4 s5scal;       /* Scaling factor spectrum 5 */
                     UINT4 runtim;       /* Realtime to run experiment [s] */
                 } spcdat_ESW_VXW;   /* Special data of ESW-VXW type header */
                 struct ESW2021_VXW_type {
                /* idhdr="STRZ-VXW", idprg="ESW2021 "; rows="     6" */
                     UINT2 status;       /* Status of spectrum */
                     UINT4 rltcnt;       /* Realtime */
                     UINT4 lftcnt;       /* Lifetime */
                     UINT4 datcnt;       /* Processed positions */
                     UINT4 outcnt;       /* Positions out of range */
                     UINT4 ct1cnt;       /* Counter 1 */
                     UINT4 ct2cnt;       /* Counter 2 */
                     UINT4 ct3cnt;       /* Counter 3 */
                     UINT4 ct4cnt;       /* Counter 4 */
                     UINT4 seqcnt;       /* Sequence errors */
                     UINT4 fulcnt;       /* Fifo full counter */
                     UINT4 rejcnt;       /* Rejected data */
                     UINT4 errcnt;       /* Error counter */
                     UINT2 slen;         /* Length of single spectrum  */
                     union {
                         REAL8 energy8[1];  /* Electron energy */
                         REAL4 expar[13];   /* Extended ESW parameters */
                         REAL4 expar20[15]; /* Extended ESW2021 parameters */
                     } exparx;
                     UINT2 guntyp;       /* Gun type */
                     REAL4 gunpar[10];   /* Gun parameters */
                     REAL4 deadtm;       /* Deadtime of event counter [µs] */
                     REAL4 dtmerr;       /* Error deadtime of event counter [µs] */
                     REAL4 errkf;        /* Error Kinematic factor */
                     REAL4 errec;        /* Error Electron current */
                     REAL4 erric;        /* Error Ion current */
                     REAL4 errcw;        /* Error Channel width */
                     REAL4 errde;        /* Error Detector efficiency */
                     REAL4 s5scal;       /* Scaling factor spectrum 5 */
                     UINT4 runtim;       /* Realtime to run experiment [s] */
                } spcdat_ESW2021_VXW; /* Special data of ESW2021-VXW type header */

             } SPCHDR;   /* Special data of headers */
         } hdata;        /* Header data */
         struct {
             char h512[512];         /* Fill 512 bytes block */
         } htotal;        /* Total header */
     } HEADER;

3 Bedienung von WQA
*******************

Das Programm ist weitgehend selbsterklärend.  Die notwendigen Eingaben
werden in Dialogform angefordert.  Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann.  Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden können.
Die graphischen Bildschirmausgaben werden durch Funktionstasteneingaben
gesteuert.

3.1 WQA Top-Menü
================

3.1.1 Exit WQA
--------------

Verlassen des Programmes.

3.1.2 Analyse single spectrum
-----------------------------

Übergang zur Wirkungsquerschnittsberechnung für ein einzelnes ESW
Spektrum.
(see Einzelspektrums-Auswertungs-Menü.)

3.1.3 Analyse list of spectra
-----------------------------

Übergang zur Wirkungsquerschnittsberechnung für eine Liste von ESW
Spektren.
(see Spektrenlisten-Auswertungs-Menü.)

3.1.4 Add spectra
-----------------

Diese Funktion ist zur Zeit noch nicht implementiert.  Sie soll einmal
die Erzeugung eines Summenspektrums durch die Addition von mehreren
ESW-Einzelspektren ermöglichen.

3.1.5 Execute shell command
---------------------------

Ausführung von Shell-Kommandos.  Unter VxWorks (VME-Systeme) steht nur
eine kleine Auswahl von Kommandos zur Verfügung.

3.1.6 Set configuration
-----------------------

Führt zum WQA Konfigurations-Menü.  Unter diesem Menüpunkt erfolgen alle
notwendigen Anpassungen des Programmes.
(see WQA Konfigurations-Menü.)

3.1.7 Help
----------

Bringt diese Anleitung über das menüorientierte GNU-INFO-Programm auf
den Bildschirm.  INFO läuft dabei auf einem Server (z.Z. Ionix).

Wenn INFO mit ’Q’ oder ’q’ normal beendet wird, dann erfolgt die direkte
Rückkehr zum Messprogramm.  Wird INFO jedoch mit ’^C’ abgebrochen, so
bleibt das Login auf dem INFO-Server erhalten und muss mit ’exit’ oder
’logout’ beendet werden!

3.2 Einzelspektrums-Auswertungs-Menü
====================================

Wirkungsquerschnittsberechnung für ein einzelnes Spektrum.  Das Spektrum
wird graphisch dargestellt.  Mit den 4 Integrationsgrenzen werden linker
Untergrund, Signalbereich und rechter Untergrund markiert.  Die
gewünschten Integrationsgrenzen können sowohl graphisch als auch
alphanumerisch eingegeben werden.  Falls das Spektrum von früheren
Auswertungen bereits Integrationsgrenzen enthält, werden diese als
Default-Werte angeboten.  Neue Integrationsgrenzen können in das
Spektrum übernommen werden.

3.2.1 Return
------------

Rückkehr zum Top-Menü.

3.2.2 Show header
-----------------

Mit diesem Aufruf wird der Header des ESW-Spektrums ausgegeben, so wie
man dies auch vom ESW-Messprogramm gewohnt ist:

   • *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   • *Title*
     Titelzeile zur Beschreibung des Experimentes.

   • *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   • *Length*
     Angabe von Anzahl (5) und Länge (variabel) der Spektren.

   • *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war.
     Bei Stop durch Messzeitvorwahl ist sie exakt, bei manuellem Stop
     kann sie bis zu 1s zu klein sein.

   • *Lifetime*
     Die um die Totzeit korrigierte Zeit (Realtime - Deadtime), die der
     Messung zur Datenaufnahme zur Verfügung stand.

   • *Positions received*
     Anzahl der empfangenen Positionsdaten.

   • *Positions out of range*
     Anzahl der Positionsdaten, die außerhalb der Spektrengrenzen lagen
     und deshalb nicht verarbeitet wurden.

   • *Counter 1(2,3,4) received*
     Anzahl der von dem Zähler 1(2,3,4) empfangenen Daten.

   • *Data sequence errors*
     Anzahl der Fälle, in denen die erwartete Reihenfolge der
     ankommenden Daten (erst Kanalnummer dann 4 Zählerdaten)
     durchbrochen wurde.

   • *Rejected data*
     Anzahl der Daten, die auf Grund ihrer Datenkennung ausgesondert
     wurden, weil sie mit dem Experiment in keinem Zusammenhang stehen.
     Entweder wurde beim Start die Datenkennung falsch angegeben, oder
     es ist eine zusätzliche Datenquelle unbeabsichtigt mitgelaufen.

   • *Fifo overflows*
     Anzahl der Fälle, in denen die Bearbeitung der Daten nicht Schritt
     halten konnte und Datenverluste auftraten.

   • *Data errors*
     Anzahl der Daten, die durch Hardware-Fehler oder -Störungen
     verstümmelt übertragen wurden.

Auf der folgenden Seite werden die Experiment beschreibenden Parameter
in folgender Form ausgegeben:
      HIGH CURRENT ELECTRON GUN
      Electron energy                     600 [eV]
      Ion charge                            3 [q]
      Ion mass                            209 [amu]
      Ion energy                           30 [keV]
      Efficiency                           97 [%]
      Time base spectrum 4:
          Devider [2**(-n) MHz]             1
          Frequency                       500 [kHz]
      Electron current converter:
          Range                           500 [mA]
          Full scale constant          500000 [Hz]
      Ion current converter:
          Range                            10 [nA]
          Full scale constant          500000 [Hz]
      Angular position indicator  1.03846e+06 [Imp/10mm]
          Devider                        2723

3.2.3 Load spectrum
-------------------

Laden eines neuen ESW-Spektrums zur Auswertung.  Solange noch kein
Spektrum geladen ist, wird in den anderen Menüpunkten automatisch ein
File-Name für das gewünschte Spektrum angefordert.  Falls bereits ein
Spektrum geladen ist, kann nur über "Load spectrum" zu einem neuen
Spektrum gewechselt werden.

   Die Angabe des Dateinamens muss im File-Format des Host-Rechners
erfolgen, z.B. ~/ex_home/ex_data/test.spe für einen Unix-Host.  Tilde
(~) und $HOME werden als Home-Directory des zugehörigen Accounts
verstanden.

3.2.4 Standard analysis
-----------------------

Die Wirkungsquerschnittsberechnung wird mit abgeschalteten Optionen
gestartet.

   *Integrationsgrenzen*
Falls im Spektrum von einer früheren Auswertung bereits
Integrationsgrenzen gespeichert sind, werden diese zum Editieren
angeboten.  Falls keine Integrationsgrenzen im Spektrum gespeichert
sind, werden die von der vorhergehenden Auswertung angeboten.  Bei der
nachfolgenden grafischen Eingabe der Integrationsgrenzen besteht die
Möglichkeit, die aktuellen Werte in das Spektrum zu übernehmen (Kommando
MS). Ferner können die aktuellen Werte zusammen mit allen anderen
grafischen Parametern für eine spätere Sitzung aufgehoben (Kommando ^B)
(see Auswertung von ESW-Spektren.).

   *Totzeit*
Die VME-Spektren enthalten Angaben über die Totzeit beim Messen der
Signalspektren für eine Totzeitkorrektur-Rechnung.  Diese Totzeitwerte
können hier geändert werden.  Dies hat keinen Einfluss auf die im
Spektrum gespeicherten Werte.  Für die alten PDP11-Spektren werden hier
die Totzeitwerte der vorhergehenden Auswertung angeboten.

   *systematische Fehler*
Die verschiedenen systematischen Fehler sind erprobte Werte und sollten
nicht mutwillig verändert werden.  Der systematische Fehler für den
Elektronenstrom ist nicht zugänglich, er wird durch das
Elektronenstrom-Korrekturprogramm eingesetzt.  Für die VME-Spektren
werden die systematischen Fehler bereits bei der Messung in die Spektren
eingetragen und hier zur Korrektur angeboten.  Die systematischen
Fehlerangaben im Spektrum werden dadurch nicht geändert.  Die alten
PDP11-Spektren enthalten keine Werte für die systematischen Fehler, es
werden Standardwerte angeboten.

3.2.5 Non standard analysis
---------------------------

Es werden die verschiedenen Analyse-Optionen zur Auswahl angeboten.
Alle Optionen auf Null ist gleichbedeutend mit Standard Analyse.  Für
jede der ausgewählten Optionen erfolgt eine Erklärung ihrer Aufgabe.
Zur Zeit implementierte Optionen:

   *Background subtraction*
Während bei der Standard Analyse der Untergrund durch Interpolation von
links- und rechtsseitigem Untergrund im Signalspektrum bestimmt wird,
verwendet die Background Subtraction dazu ein eigends unterhalb der
Reaktionsschwelle gemessenes Untergrundspektrum.  Beide Spektren werden
innerhalb der Untergrundgrenzen aufeinander normiert und die
Signalbereiche dann subtrahiert.  Dieses Verfahren ist immer dann
nützlich, wenn der Untergrund sich im Signalbereich nicht befriedigend
durch Interpolation annähern lässt, was gelegentlich in der Nähe der
Reaktionsschwelle aufgetreten ist (Delle im Ug).  Da das Ug-Spektrum bei
einer anderen Elektronen-Energie gemessen wird als das Sigalspektrum und
deshalb möglicherweise die Ug-Verhältnisse nicht richtig wiedergibt,
sollte dieses Verfahren nicht mutwillig verwendet werden.  Ferner ist zu
beachten, dass bei diesem Verfahren 4 Flächen mit ihren statistischen
Fehlern in die Rechnung eingehen gegenüber 2 beim Standardverfahren.
Dem ist nur durch möglichst genaues Messen der Ug-Spektren zu begegnen.
Für die Analyse muss im Ug-Spektrum ein Satz vom geeigneten
Integrationsgrenzen abgespeichert sein von dem aber nur die Marker 1 und
4 verwendet werden zum Einschließen des nutzbaren Bereichs.  Falls der
Marker 1 im Signalspektrum tiefer gesetzt ist als der im Ug-Spektrum,
oder der Marker 4 im Signalspektrum höher gesetzt ist als der im
Ug-Spektrum, so wird jeweils der Marker aus dem Ug-Spektrum verwendet
und eine entsprechende Warnung generiert.  Falls das Ersetzten der
Marker zu einem ungültigen Marker-Set führt (z.B. M3 > M4), wird ein
Fehler generiert und die Analyse abgebrochen.  Ebenso erfolgt ein
Abbruch mit Fehlermeldung, falls im Ug-Spektrum kein Marker-Set
gespeichert ist.  Das Abspeichern kann über "Analyse single spectrum" ->
"Standard analysis" mit dem Kommando "MS" erfolgen.

   *Use averaged ion current*
Bei dieser Option wird der Ionenstrom im gesamten Integrationsbereich
(Marker 1 - 4) gemittelt und das Signalspektrum zur Normierung durch
diesen Mittelwert dividiert.  Im Gegensatz zum Standardverfahren, bei
dem zur Normierung ein Signalkanal durch den jeweils zugehörigen
Ionenstromkanal dividiert wird.  Die Verwendung dieser Option ist nur
sinnvoll, wenn der Ionenstrom Strukturen zeigt, die im Signalspektrum
nicht auftreten.

   *Correction factor*
Mit diesem Korrekturfaktor lässt sich der WQ nachträglich skalieren.
Messgrößen, die während der Datenaufnahme mit einem konstanten Faktor
falsch gemessen wurden und linear in die WQ-Berechnung eingehen, lassen
sich so nachträglich korrigieren.  Z.B. ist es nötig die Strommessung im
pA-Bereich ohne Vorspannung am Faraday-Cup aufzunehmen, um Fehlmessungen
- verursacht durch Mikrophonie-Effekte - zu vermeiden.  Auf Grund der
fehlenden Vorspannung wird der Strom mit einem konstanten Faktor zu hoch
bestimmt.

   *Dag’s deadtime*
Dag hat eine dominierende Totzeit eingesetzt, um Effekte wie Nachimpulse
des Channeltrons auszuschalten.  Leider war diese Totzeit
zählratenabhängig.  Hier wird für jeden Kanal des Spektrums aus der
aktuellen Ereignisrate eine mittlere Totzeit errechnet zur Korrektur der
Ereignisrate.  Als Basiswert für die Berechnung von Dags Totzeit werden
die eingegebene Totzeit und deren Fehler verwendet.  Für Dags Totzeit
erfolgt die Fehlerrechnung wie für die normale Totzeitrechnung.

   Anschließend geht’s weiter wie bei der Standard Analyse (see
Standard analysis.).

3.2.6 Convert spectrum to ASCII
-------------------------------

Ein Spektrum wird vom Strahlenzentrums-Standard für Spektren durch
formatierte Ausgabe in ASCII Form gewandelt.  Die 5 ESW-Spektren sind
dabei in 5 Spalten angeordnet in der Reihenfolge:
  1. Ionisationssignal
  2. Primärionenstrom
  3. Elektronenstrom
  4. Messzeit pro Kanal
  5. Ionisationssignal / Primärionenstrom * Skalierungsfaktor
     (2^15=32768)

3.3 Spektrenlisten-Auswertungs-Menü
===================================

Wirkungsquerschnittsberechnung für eine Liste von Spektren.  Die
Spektren müssen die Integrationsgrenzen bereits enthalten.  Totzeit und
systematische Fehler werden für alle Spektren gemeinsam angegeben.  Die
errechneten Wirkungsquerschnitte werden nach aufsteigender
Elektronen-Energie sortiert in einen Ergebnis-File geschrieben.

3.3.1 Return
------------

Rückkehr zum Top-Menü.

3.3.2 Manage list of spectra
----------------------------

Bearbeiten und Prüfen der Liste mit den auszuwertenden Spektren.  (see
Spektrenlisten-Management-Menü.)

3.3.3 Standard analysis
-----------------------

Die Wirkungsquerschnittsberechnung wird für alle Spektren der Liste mit
abgeschalteten Optionen gestartet.  Die Berechnung erfolgt mit den in
den Spektren abgespeicherten Integrationsgrenzen.  Falls bei einem
Spektrum die Integrationsgrenzen fehlen oder die Grenzen unsinnig
gesetzt sind, erfolgt eine Fehlermeldung und es wird für dieses Spektrum
kein Wirkungsquerschnitt in den Ergebnis-File geschrieben.

   Für den Ergebnis-File muss eine Datenkennung angegeben werden, an der
sich nachfolgende Auswerteprogramme orientieren und ein
Skalierungsfaktor für die Wirkungsquerschnitte.

   Es können für alle Spektren gemeinsam eine Totzeit für das
Signalspektrum sowie die systematischen Fehler angegeben werden.  Die
Berechnung der Wirkungsquerschnitte wird am Bildschirm protokolliert.
Der Ergebnis-File wird am Ende nach aufsteigenden Elektronenenergien
sortiert.

3.3.4 Non standard analysis.
----------------------------

Es stehen die gleichen Optionen zur Verfügung wie bei der
Einzelspektren-Auswertung (s.o.).  Die gewählten Optionen sind für alle
Spektren der Liste gültig.  Es kann nur ein Untergrundspektrum für alle
Spektren der Liste angegeben werden.  Alles weitere wie bei der Standard
Analyse (see Standard analysis..).

3.4 Spektrenlisten-Management-Menü
==================================

3.4.1 Return
------------

Rückkehr zum Top-Menü.

3.4.2 Load/Create list
----------------------

Hilfe bei der Erzeugung einer Spektrenliste.  Startet einen Editor zum
Editieren der Liste.  Die Tilde (~) für das $HOME-Directory und der
Stern (*) als Joker werden in File-Namen verstanden.

   Kommentarzeilen sind möglich und müssen in der ersten Spalte mit #
beginnen.  Leerzeilen werden ignoriert.

   Die Spektrenliste ist ein Text-File und kann mit jedem beliebigen
Editor erstellt werden.

3.4.3 Expand list
-----------------

Aus der aktuellen Spektrenliste wird eine neue Liste generiert, in der
Tilde (~) und Stern (*) aufgelöst sind.  Diese Liste kann anschließend
mit "Load/Create list" weiter bearbeitet werden.

3.4.4 Check list
----------------

Überprüft die Spektrenliste auf Existenz der Spektren und auf Typ ESW.
Versieht alle ungültigen Spektren mit einem Kommentar und kommentiert
sie aus.  Diese Funktion wird vor jedem Start einer WQ-Berechnung auf
die aktuelle Spektrenliste angewendet.

3.5 WQA Konfigurations-Menü
===========================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes.  Beim allerersten Start des Programmes wird dieser
Menüpunkt stets automatisch aufgerufen.  Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.5.1 OK
--------

Rückkehr zum Top-Menü.

3.5.2 Terminals and printers
----------------------------

Dieser Menüpunkt enthält ein Untermenü zum Auswählen eines passenden
Terminals und Druckers bzw.  zur Definition von solchen:
         Select terminal
         Select printer
         Define terminal
         Define printer

   Sollte keines der Terminals oder der Drucker passend sein, so kann
eines der vorhandenen Geräte angepasst werden.  Dazu wird es zuerst
selektiert und dann neu definiert:

   Printer-Definition für einen normalen Netzwerkdrucker
     Comment: LaserJet in 202 (hplaser)
     Command: lpr -Phplaser wqa.tmp; rm wqa.tmp
     File   : wqa.tmp
     Select language (PS)
     Select device type (Printer)

   Printer-Definition für einen lokal am VME-Rechner angeschlossenen
Drucker
     Comment: Printer at MVME1xx Port 2
     Command:
     File   : /tyCo/1
     Select language (HPGL)
     Select device type (File)

   Printer-Definition für einen an einem PC angeschlossenen Drucker
     Comment: Printer at <Server>
     Command: ex_home/ex_prog/PC-print <Server> <Service> <Passwort> wqa.tmp
     File   : wqa.tmp
     Select language (PS)
     Select device type (Printer)

   Printer-Definition für die Erzeugung von Files ohne zu drucken.  Um
nicht jedesmal einen neuen File-Namen definieren zu müssen, können diese
in gewissen Grenzen automatisch generiert werden.  Dazu können bei der
Druckerdefinition im File-Namen folgende Sonderzeichen verwendet werden:
     *  wird ersetzt durch den Namen des Spektrums
     $  wird ersetzt durch den "Graphic Mode" (z.B. HPGL)
     #  wird ersetzt durch eine fortlaufende Nummer
        (Consecutive print number), die bei der Auswahl eines
        Printers neu gesetzt werden kann.
     Comment: ASCII files with unique names
     Command:
     File   : *.$.#
     Select language (ASCII)
     Select device type (FILE)

3.5.3 Startup mode
------------------

Einstellmöglichkeit zur Umgehung des Hauptmenüs beim Start durch ein
anderes Programm.  Das Hauptmenü kann dann nur durch Eingabe von ^Z in
einer der graphischen Funktionen erreicht werden.

3.5.4 Message mode
------------------

Print verbose messages:
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

   Delay messages:
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen werden kann.  Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.)  auf dem Bildschirm
angegeben werden.  Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

3.5.5 ESW systematical errors
-----------------------------

Die alten PDP11-Spektren enthalten keine Information über die
systematischen Fehler der Messung.  Bei der WQA-Auswertung muss deshalb
auf die hier gemachten Angaben zurückgegriffen werden.

   Die aktuellen Vorbelegungen sind:
       Kinematic factor   =   1.0 %
       Ion current        =   5.0 %
       Channel width      =   1.0 %
       Detector efficiency=   3.0 %
       Electron current   = (wird mit der Elektronenstrom-Korrektur angegeben
                             See Elektronenstrom-Korrektur.)

3.5.6 Text editor command
-------------------------

Zur Bearbeitung der Spektrenlisten wird ein Text-Editor benötigt, dessen
Kommando hier angegeben werden kann, z.B. _joe %s_.  Die Vorbelegung ist
_vi %s_.

3.6 Graphische Ausgabe von Spektren
===================================

Das Spektrum kann in vielfältiger Weise graphisch dargestellt und
gedruckt werden.  Mit einem Marker kann es vermessen werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von WQA,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^I WQA Analysis               -Wechsel zur Wirkungsquerschnittsberechnung.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen des dargestellten Spektrums,
     ^T Not available in this context  jedoch nur wenn WQA durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^P Print screen               -druckt den Bildschirminhalt.
     ^R Refresh display with fit to marker
                                   -neuer Bildaufbau, so dass Marker sichbar ist.
     SP Refresh display            -neuer Bildaufbau.

     *Display commands:*
     R  Shift right                -schiebt das Spektrum um 20% nach rechts.
     L  Shift left                 -schiebt das Spektrum um 20% nach links.
     E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                       dem Vermessungsmarker als Zentrum.
     C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                       dem Vermessungsmarker als Zentrum.
     U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
     D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
     N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
     F  Full spectrum              -Darstellung des ganzen Spektrums.
     A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
     I  Input                      -numerische Eingabemöglichkeit für
                                       einige Darstellungsparameter.
                                       X-OFFSET = X-Nullpunktsverschiebung
                                       LENGTH = Länge des dargestellten Ausschnitts
                                       Y-OFFSET = Y-Nullpunktsverschiebung (s.h. Y)
     1... Number of spectrum, end with SPACE
                                   -Auswahl eines Spektrums (Zeile) einer Matrix
                                       durch Angabe seiner Nummer 1,2....
                                       Ist die Eingabe kürzer als die max.
                                       mögliche, dann mit <SPACE> abschließen.

     *Display modes:*
     V  Vectors                    -Darstellung durch Vektoren.
     P  Points                     -Darstellung durch Punkte.
     S  Statistical errors         -Fehlerbalken-Darstellung
     H  Histogram                  -Histogramm-Darstellung
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
     T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
     B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
     Y  Y-offset on/off (LIN mode only)
                                   -Bei jeder Y-Normierung (N) wird aus den
                                       auftretenden Kanalinhalten ein passender
                                       Y-offset berechnet, dessen Berücksichtigung
                                       bei der Darstellung durch die Eingabe von Y
                                       gesteuert wird. Nur für lineare Darstellung.

     *Marker commands:*
     <Cursor left>  Shift marker left
     <Cursor down>  Shift marker fast left
                                   -Linksschieben des Markers, maximal bis zum
                                       linken Nachbarn.
     <Cursor right>  Shift marker right
     <Cursor up>  Shift marker fast right
                                   -Rechtsschieben des Markers, maximal bis zum
                                       rechten Nachbarn.
     <  Shift marker fast left     -Falls die verwendete Terminalemulation
     >  Shift marker fast right        Probleme mit den Cursor-Tasten hat, können
                                       diese beiden Kommandos helfen. Bei aus-
                                       reichendem Spreizen des Spektrums können
                                       einzelne Kanäle erreicht werden.
     T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.7 Auswertung von ESW-Spektren
===============================

Im ESW-Spektrum werden mit vier Markern der linke und rechte Untergrund
sowie der Reaktions-Peak angegeben.  Die Marker können nur genau auf
einen Kanal des Spektrums positioniert werden und nicht dazwischen (wie
in der alten PDP11-Version).  Benachbarte Marker können sich nicht
überkreuzen, und behalten einen Mindestabstand von 2 Kanälen.

   Die Integrationsgrenzen reichen von den Kanälen (einschließlich):
             M1  -> M2 -1    linker Untergrund
             M2  -> M3 -1    Peak
             M3  -> M4 -1    rechter Untergrund
   Das macht die Sache leider etwas asymmetrisch, was bei der großen
Anzahl von beteiligten Kanälen hier aber keine große Rolle spielt.
Lässt sich jetzt auch kaum noch ändern, um bei gleichen Grenzen nicht
neue Ergebnisse zu erhalten.

   Beim Start der Wirkungsquerschnittesberechnung werden zunächst
numerisch die Positionen der 4 Integrationsgrenzen, sowie Totzeit und
systematische Fehler angefordert.  Als Vorbelegung für die
Integrationsgrenzen werden die Werte aus einer vorangegangenen
Auswertung oder, falls vorhanden, die im ESW-Spektrum (mit Kommando MS)
abgespeicherten Grenzen angeboten.  Anschließend wird das Spektrum
graphisch so am Bildschirm dargestellt, dass alle Integrationsgrenzen zu
sehen sind, falls sie nicht außerhalb des Spektrums liegen.
Bildausschnitt und Integrationsgrenzen können danach noch beliebig
verändert werden.  Mit "I" können die Marker-Positionen, die
Totzeitangaben sowie die systematischen Fehler numerisch eingegeben
werden.

   Zur graphischen Markereingabe und Starten der
Wirkungsquerschnitts-Berechnung stehen folgende Kommandos zur Verfügung,
die auch mit ^H (Control H) online gelistet werden können:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von WQA,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Standard display           -Wechsel zur Standard-Spektrendarstellung
                                       mit Vermessungsmoeglichkeit.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen des ESW Spektrums,
     ^T Not available in this context  jedoch nur wenn WQA durch das Messprogramm
                                       ESW gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^I Short results on terminal  -schreibt das WQ-Ergebnis in das Spektrum
                                       auf dem Bildschirm.
     ^F Full results on terminal   -Protokolliert ausführlich die WQ-Rechnung
                                       auf eigener Seite auf dem Bildschirm.
     ^P Print screen               -druckt den Bildschirminhalt,
                                       also Spektrum oder WQ-Ergebnis.
     ^R Refresh display with fit to markers
                                   -neuer Bildaufbau, so dass alle Marker sichtbar sind.
     SP Refresh display            -neuer Bildaufbau für Spektrum, bzw.
                                       neue WQ-Rechnung nach ^F.

     *Display commands:*
     R  Shift right                -schiebt das Spektrum um 20% nach rechts.
     L  Shift left                 -schiebt das Spektrum um 20% nach links.
     E  Expand X                   -Dehnen der X-Achse um den Faktor 2
     C  Compress X                 -Stauchen der X-Achse um den Faktor 2
     U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
     D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
     N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
     F  Full spectrum              -Darstellung des ganzen Spektrums.
     I  Input                      -numerische Eingabemöglichkeit für die
                                       Integrationsgrenzen, Totzeit und
     				  systematischen Fehler.
     1... Number of spectrum       -Auswahl eines der 5 ESW-Spektren durch Angabe
     				 seiner Nummer 1,2....

     *Display modes:*
     V  Vectors                    -Darstellung durch Vektoren.
     P  Points                     -Darstellung durch Punkte.
     S  Statistical errors         -Fehlerbalken-Darstellung
     H  Histogram                  -Histogramm-Darstellung
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
     T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
     B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
     Y  Y-offset on/off (LIN mode only)
                                   -Bei jeder Y-Normierung (N) wird aus den
                                       auftretenden Kanalinhalten ein passender
                                       Y-offset berechnet, dessen Berücksichtigung
                                       bei der Darstellung durch die Eingabe von Y
                                       gesteuert wird. Nur für lineare Darstellung.

     *Marker commands:*
     M1...M4 Select marker 1...4   -Die Markerpositionierungseingaben wirken nur
                                       auf den gerade aktiven Marker. Mit diesem
                                       Kommando wird einer der vier Marker (von
                                       links gezählt) zum aktiven Marker erklärt.
                                       Achtung, mehrere Marker können an der glei-
                                       chen Position übereinanderliegen.
     M< Select next marker left    -Marker links vom aktiven Marker wird zum neuen
                                       aktiven Marker.
     M> Select next marker right   -Marker rechts vom aktiven Marker wird zum
                                       neuen aktiven Marker.
     MM Same as M>                 -Wie M>
     <Cursor left>  Shift current marker left
     <Cursor down>  Shift current marker fast left
                                   -Linksschieben des aktiven Markers, maximal
                                       bis zum linken Nachbarn.
     <Cursor right>  Shift current marker right
     <Cursor up>  Shift current marker fast right
                                   -Rechtsschieben des aktiven Markers, maximal
                                       bis zum rechten Nachbarn.
      <  Shift current marker fast left
      >  Shift current marker fast right
                                   -Falls die verwendete Terminalemulation
                                       Probleme mit den Cursor-Tasten hat, können
                                       diese beiden Kommandos helfen. Bei aus-
                                       reichendem Spreizen des Spektrums können
                                       einzelne Kanäle erreicht werden.
     MS  Save current marker positions to spectrum
                                   -Die aktuellen Markerpositionen werden im
                                       Header des Spektrums abgespeichert und
                                       stehen bei einem erneuten Laden des
                                       Spektrums durch WQA wieder zu Verfügung.
     T  Flags on/off               -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

   *Achtung:*
Falls die Spektrenanalyse auf eine laufende Messung erfolgt, darf es
nicht verwundern, wenn man bei jeder Integration ein neues Ergebnis
erhält, auch wenn der Bildschirm immer das gleiche Bild zeigt, weil die
Darstellung nicht erneuert wurde!

   *Ausgabeformat der Wirkungsquerschnittergebnisse:*
       (* = nur über Drucker)

        * ESW-Spectrum: ~/ex_home/ex_data/spektr.esw   (10-NOV-98)
             File-Name und Entstehungsdatum der bearbeiteten Messung

        * ESW-SPEKTRUM --- STRAHLENZENTRUM UNIVERSITAET GIESSEN
             Kommentarzeile in der Messung

        * Analysis: Standard;
             Angabe, welche Auswerteoptionen gewählt wurden

          Electron energy  =    50.00 eV  [Gun 0: high current (04.08.1997)]
             Elektronenenergie und Typ der Elektronenkanone

          Cross section    = (   1.031e-16 +-   8.09e-18 ) cm**2
             Wirkungsquerschnittsergebnis und Gesamtfehler (statist. + system.)

          Stat. error 95% cnf =     7.25e-19 cm**2
             Absoluter, statistischer Fehler (95% Confidence) alleine

          Integration limits:   22    79   413   479
             Integrationsgrenzen (1,...)

          Stat. error 95% cnf =    0.703 %
             Relativer, statistischer Fehler (95% Confidence)

          Systematical error  =    7.810 %
             Relativer, totaler systematischer Fehler

          Deadtime corr. err. =    0.098 %
             Relativer, systematischer Fehler durch Totzeitunschärfe

          Total error         =    7.842 %
             Relativer, totaler Fehler (system. + statist.)

          Av. Peak rate (corr)=    1.311 kHz
             Mittlere totzeitkorrigierte Zählrate im Signalspektrum
             im Peakbereich (Marker 2 - 3)

          Deadtime            =    5.000 us
             Totzeit für die Korrektur des Signalspektrums

          Av. deadtime corr.  =    0.923 %
             Mittlere Totzeitkorrektur bezogen auf das korrigierte
             Signalspektrum (max 100%!)

          Form factor         =    4.566 mm
             Abschätzung des Überlapps von Elektronen- und Ionenstrahl

          Ion current         =    0.883 nA
             Ionenstrom

          Electron current    =    5.851 mA
             Elektronenstrom

          Measurement period  =   94.718 s
             Messzeit

          Max. cnt rate (corr)=    2.521 kHz
             Maximale totzeitkorrigierte Zählrate im Signalspektrum
             (Marker 1 - 4)

          Av. BG rate (corr)  =    0.045 kHz
             Mittlere totzeitkorrigierte Zählrate im Signalspektrum
             im Untergrundbereich (Marker 1 - 2, 3 - 4)

          Deadtime error      =    0.500 us
             Unschärfe der Totzeit

          Max deadtime corr.  =    1.243 %
             Maximale Totzeitkorrektur bezogen auf das korrigierte
             Signalspektrum (max 100%!)

                              Left BG           Right BG             Sum BG
          Mean:             1.039e+01          8.244e+00          9.238e+00
             Mittelwerte für linken, rechten Untergrund und Summe

          Rel. stand. dev:  4.109e-02          4.287e-02          2.967e-02
             Relative Standardabweichungen der Untergrund-Mittelwerte

          Chi**2 (Sp 1):    1.359e+00          1.151e+00          1.248e+00
             Chi-Squares für linken, rechten Untergrund und Summe für
             das unnormierte Signalspektrum (Spektrum 1)

          Chi**2 (Sp 5):    1.331e+00          1.157e+00          1.236e+00
             Chi-Squares für linken, rechten Untergrund und Summe für
             das auf den Ionenstrom normierte Signalspektrum (Spektrum 5)